lp:ubuntu/lucid-updates/flac

Created by Ubuntu Package Importer on 2014-11-27 and last modified on 2014-11-27
Get this branch:
bzr branch lp:ubuntu/lucid-updates/flac
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

18. By Marc Deslauriers on 2014-11-27

* SECURITY UPDATE: arbitrary code execution via crafted .flac file
  - debian/patches/CVE-2014-8962.dpatch: validate id in
    src/libFLAC/stream_decoder.c.
  - CVE-2014-8962
* SECURITY UPDATE: arbitrary code execution via crafted .flac file
  - debian/patches/CVE-2014-9028.dpatch: error out to avoid heap overflow
    in src/libFLAC/stream_decoder.c.
  - CVE-2014-9028

17. By Alexander Sack on 2010-03-05

rebuild rest of main for armel armv7/thumb2 optimization;
UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

16. By Steve Langasek on 2009-08-18

No-change rebuild to drop reference to libogg.la

15. By Fabian Greffrath <email address hidden> on 2009-08-04

* New maintainer (Closes: #539565).
* Acknowledge NMUs (Closes: #456726, #455304, #525826, #525829).
* Urgency high, because of fixed RC bugs.

* Set Maintainer to Debian multimedia packages maintainers and added
  myself to Uploaders.
* Wrapped and sorted Build-Depends.
* Added ${misc:Depends} to all packages and wrapped Depends fields.
* Bumped debhelper compat to 7.
* Removed versioned dependency on g++ and libid3-3.8.3-dev, the
  required versions are already in oldstable.
* Bumped Standards-Version to 3.8.2.
* Removed Conflicts and Replaces against packages that aren't even in
  oldstable anymore.
* Point to versioned license file (GPL-2).
* Use dh_prep instead of dh_clean -k.
* Update config.sub and config.guess in the configure rule and remove
  them in the clean target.
* Fixed doc-base-uses-applications-section.
* debian/patches/09_noexec-stack.dpatch: New patch to indicate that
  libFLAC.so doesn't need an executable stack (Closes: #467544),
  Thanks Russell Coker <email address hidden>.
* Added shlibs information for libflac8 and libflac++6 (Closes:
  #481428, #508293).
* Fixed binary-control-field-duplicates-source.
* Added patch description to debian/patches/02_doc_path.dpatch.
* Added patch description to debian/patches/08_gcc-4.3_fixes.dpatch.
* Regenerate manpages at compile time: Add docbook-to-man to Build-
  Depends, change debian/patches/02_doc_path.dpatch to modify
  man/flac.sgml, stop touching man/flac.1 in debian/rules and remove
  the manpages in the clean target.

14. By Marc 'HE' Brockschmidt <email address hidden> on 2008-03-16

* Non-maintainer upload.
* Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #455304)

13. By Matthias Klose on 2008-01-24

Fix build failure with g++-4.3.

12. By Kees Cook on 2007-12-06

* Merge from debian unstable, remaining changes:
  - debian/control: xmms-dev dropped to allow xmms to move to universe,
    adjust maintainer field.

11. By Kees Cook on 2007-06-21

debian/control: xmms-dev dropped to allow xmms to move to universe,
adjust maintainer field.

10. By Joshua Kwan on 2007-06-06

* The "It's Never Too Late to Mend" release.
* Finally, since liboggflac and libflac have been merged, make libflac-dev
  depend on libogg-dev. closes: #427742

9. By Joshua Kwan on 2007-05-29

* New upstream release. closes: #405167, #411311
  - libOggFLAC and libOggFLAC++ have been merged into libFLAC, so
    remove their corresponding packages.
  - Because of the API changes required to effect the above, there has
    been yet another soname bump. libflac7 -> libflac8 and
    libflac++5 -> libflac++6. Emails have been dispatched to the
    maintainers of dependent packages.
* Some notes on patches that were removed:
  - 02_stdin_stdout, 06_manpage_mention_utf8_convert: merged upstream
  - 08_manpage_warnings: Upstream has changed the manpage so it defintely
    can't fit in in 80 cols, so just forget about it. We'll live.
  - 05_eof_warnings_are_errors: Upstream decided to add a -w option to
    flac to treat all warnings as errors. I am going to defer to that
    for now, but if people think it's stupid let me know and I'll port
    the patch forward.
  - 04_stack_smasher: was a backport from 1.1.3, so it's obsolete.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/vivid/flac
This branch contains Public information 
Everyone can see this information.

Subscribers